       ds = open("s71")
       putkey(ds,1) rem Дата+Документ
       kodrm = 71

       dpok = open("kpok")
       for i = 1 to size(dpok)
          getlast(dpok)
          if 'Раб.место'.dpok = kodrm then delete(dpok)
       next

       
       for i = 1 to size(ds)
          if i = 1 then goto 100
          goto 200
100       getfirst(ds)
          doc = 'Документ'.ds
          dat = 'Дата'.ds
          nazv = trim('Примечание'.ds)
          vsego = 0.0
          nds = 0.0
          goto 300
200       getnext(ds)

300       if 'Дата'.ds = dat & 'Документ'.ds = doc then goto 400
          
          rem Изменились дата или документ
          if vsego = 0.0 then goto 500

          rem  Сумма по документу не ноль
          clearbuf(dpok)
          'Раб.место'.dpok = kodrm
          'Дата'.dpok = dat          
          'Номер_док.'.dpok = doc          
          'Дата_пост.'.dpok = dat          
          'Дата_опл.'.dpok = dat          
          'Дата_опр.'.dpok = dat         
          'Название'.dpok = nazv          
          'ИННП'.dpok = ""          
          'Код_ОКОНХП'.dpok = ""          
          'Код_ОКПОП'.dpok = ""          
          'Всего'.dpok = vsego 
          'НДС_10'.dpok = nds           
          'Сумма_10'.dpok = vsego - nds
          insert(dpok)
500       
          doc = 'Документ'.ds
          dat = 'Дата'.ds
          nazv = trim('Примечание'.ds)
          vsego = 0.0
          nds = 0.0
          
          if trim('Kr_счета'.ds) != "71" | trim('Db_счета'.ds) = "50" then goto 900
          vsego = 'Сумма'.ds
          if trim('Db_счета'.ds) = "19" then nds = 'Сумма'.ds
          goto 900

400       rem Дата и документ те же
          if trim('Kr_счета'.ds) != "71" | trim('Db_счета'.ds) = "50" then goto 900
          if trim('Db_счета'.ds) = "19" then nds = nds + 'Сумма'.ds
          vsego = vsego + 'Сумма'.ds
900    next           
       
       rem последняя запись
       if vsego = 0.0 then goto 910

       rem  Сумма по документу не ноль
       clearbuf(dpok)
       'Раб.место'.dpok = kodrm
       'Дата'.dpok = dat          
       'Номер_док.'.dpok = num(doc)          
       'Дата_пост.'.dpok = dat          
       'Дата_опл.'.dpok = dat          
       'Дата_опр.'.dpok = dat         
       'Название'.dpok = nazv          
       'ИННП'.dpok = ""          
       'Код_ОКОНХП'.dpok = ""          
       'Код_ОКПОП'.dpok = ""          
       'Всего'.dpok = vsego 
       'НДС_10'.dpok = nds           
       'Сумма_10'.dpok = vsego - nds
       insert(dpok)

910    close(dpok)
       close(ds)
       end